## opendnssec 2.1.10

=== debian/changelog ===
opendnssec (1:2.1.10-1build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Wed, 08 Dec 2021 12:50:18 +0100

opendnssec (1:2.1.10-1) unstable; urgency=medium

  * New upstream version 2.1.10
  * control: bump policy to 4.6.0, no code change
  * lintian-overrides: remove obsolete overrides

 -- Mathieu Mirmont <mat@parad0x.org>  Sun, 12 Sep 2021 00:22:01 +0200

opendnssec (1:2.1.9-1) unstable; urgency=medium

  * New upstream version 2.1.9
  * Rename the git branches to follow DEP-14
  * patches: refresh, fix build with MySQL 8 (Closes: #987832)
  * patches: fix minor typos
  * control: bump policy to 4.5.1, no code change
  * control: add versioned dependencies
  * control: remove obsolete Conflicts
  * opendnssec-*.service: add documentation links
  * clean: delete temporary build directories
  * .gitignore: update the file
  * watch: bump to version 4
  * gitlab-ci.yml: shellcheck: dash supports local
  * lintian-overrides: allow shipping systemd files to /usr
  * rules: remove unnecessary -Wl,--as-needed

 -- Mathieu Mirmont <mat@parad0x.org>  Mon, 23 Aug 2021 11:05:56 +0200
