=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                procps,
                sqlite3,
                xsltproc
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.opendnssec.org/
 Vcs-Browser: https://salsa.debian.org/debian/opendnssec
 Vcs-Git: https://salsa.debian.org/debian/opendnssec.git
