## opendnssec 2.1.13

=== debian/changelog ===
opendnssec (1:2.1.13-1.2ubuntu3) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 May 2025 10:24:12 +0200

opendnssec (1:2.1.13-1.2ubuntu2) plucky; urgency=medium

  * No-change rebuild against mysql-8.4 and libmysqlclient24 (LP: #2089059)

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 05 Feb 2025 15:49:02 -0500

opendnssec (1:2.1.13-1.2ubuntu1) oracular; urgency=medium

  * Fixup my_bool patch for mysql compatibility

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 20 Aug 2024 08:51:59 +0200

opendnssec (1:2.1.13-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS due to implicit function declaration, Closes: #1078033

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 16 Aug 2024 06:46:33 -0400

opendnssec (1:2.1.13-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS due to missing utilities.h include for the clamp declaration
    (Closes: #1066479): 0018-fix-missing-include.patch

 -- Cyril Brulebois <cyril@debamax.com>  Tue, 26 Mar 2024 14:27:44 +0100

opendnssec (1:2.1.13-1) unstable; urgency=medium

  * New upstream version 2.1.13
  * patches: refresh

 -- Mathieu Mirmont <mat@parad0x.org>  Fri, 22 Sep 2023 17:22:55 +0200

opendnssec (1:2.1.12-2) unstable; urgency=medium

  * control: bump policy to 4.6.2, no code change
  * opendnssec-common.postinst: shellcheck compliance
  * po/ro.po: Add Romanian translation (Closes: #1033174)

 -- Mathieu Mirmont <mat@parad0x.org>  Sun, 19 Mar 2023 09:33:29 +0100
