=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: opendnssec
 Section: admin
 Priority: optional
-Maintainer: Mathieu Mirmont <mat@parad0x.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mathieu Mirmont <mat@parad0x.org>
 Uploaders: Timo Aaltonen <tjaalton@debian.org>
 Build-Depends:
                debhelper-compat (= 13),
@@ -23,7 +24,7 @@
                procps,
                sqlite3,
                xsltproc
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://www.opendnssec.org/
 Vcs-Browser: https://salsa.debian.org/debian/opendnssec
 Vcs-Git: https://salsa.debian.org/debian/opendnssec.git
